Rename a story, or change its group, status or note
PATCH
/cms/print/v2/stories/{id}
const url = 'https://api.example.com/cms/print/v2/stories/1';const options = { method: 'PATCH', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"name":"example","group":"example","status":"example","note":"example","articleId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.example.com/cms/print/v2/stories/1 \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "name": "example", "group": "example", "status": "example", "note": "example", "articleId": 1 }'Does not need a check-out. note: null (or empty) removes the note.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
group
string
status
string
note
string
articleId
integer
Example generated
{ "name": "example", "group": "example", "status": "example", "note": "example", "articleId": 1}Responses
Section titled “Responses”The story